SSL Labs ScoreSecurityHeaders.io Score

Log in to participate

There is no cost to join RicheyWeb, and membership is a requirement to submit bug reports and participate in the support forums.

× Extension Discussions

Authentication - Email

More
1 year 8 months ago #402 by jmes91
jmes91 replied the topic: Authentication - Email
Hi - I've successfully installed the plugin, and it now uses email addresses as the username. However in the registration form, it still asks for a username AND email address. Is there a way of hiding this field without building a customised form?

Please Log in or Create an account to join the conversation.

More
1 year 7 months ago #422 by michael
michael replied the topic: Authentication - Email
You can use a language override to change the constants for the login forms. It's super easy.....I'll make a video and link it here (and in the plugin page) when I'm done.

Please Log in or Create an account to join the conversation.

More
1 year 7 months ago #423 by michael
michael replied the topic: Authentication - Email
I added the necessary overrides to the documentation. Overriding the following language strings will allow you to replace "Username" with "Email Address" in login and password reset forms. Video on its way.

´╗┐COM_USERS_FIELD_RESET_CONFIRM_USERNAME_DESC="Enter your username."
COM_USERS_FIELD_RESET_CONFIRM_USERNAME_LABEL="Username"
COM_USERS_LOGIN_REMIND="Forgot your username?"
COM_USERS_LOGIN_USERNAME_LABEL="Username"
MOD_LOGIN_VALUE_USERNAME="Username"

Please Log in or Create an account to join the conversation.

More
1 year 7 months ago #424 by michael
michael replied the topic: Authentication - Email

Please Log in or Create an account to join the conversation.

More
1 year 7 months ago #463 by assetadmins
assetadmins replied the topic: Authentication - Email
Hello does this plugin work on joomla 2.5?

Please Log in or Create an account to join the conversation.

More
1 year 7 months ago #464 by michael
michael replied the topic: Authentication - Email
I originally wrote it for 1.5 - so at one point it was compatible with 2.5 - but since 2.5 has been end-of-life for so long, I haven't tested it in 2.5 for a long time.

I don't recall doing much to update it for 3.x - so it's worth trying.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to add attachements.
  • Not Allowed: to edit your message.
Kunena Forum